Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlxt.repository
Class RepositoryRsc

    java.lang.Object
      |
      +--com.bea.wlxt.repository.RepositoryRsc

public class RepositoryRsc
extends java.lang.Object

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`RepositoryRsc()`

Method Summary
`static java.lang.String` | `getMsg(java.util.Locale locale, java.lang.String key, java.lang.String parm1)`
`static java.lang.String` | `getMsg(java.util.Locale locale, java.lang.String key, java.lang.String[] parms)`
`static java.lang.String` | `getMsg(java.util.Locale locale, java.lang.String key, java.lang.String parm1, java.lang.String parm2)`
`static java.lang.String` | `getMsg(java.util.Locale locale, java.lang.String key, java.lang.String parm1, java.lang.String parm2, java.lang.String parm3)`
`static java.lang.String` | `getMsg(java.lang.String key, java.lang.String parm1)`
`static java.lang.String` | `getMsg(java.lang.String key, java.lang.String[] parms)`
`static java.lang.String` | `getMsg(java.lang.String key, java.lang.String parm1, java.lang.String parm2)`
`static java.lang.String` | `getMsg(java.lang.String key, java.lang.String parm1, java.lang.String parm2, java.lang.String parm3)`
`static java.lang.String` | `getString(java.util.Locale locale, java.lang.String key)`
`static java.lang.String` | `getString(java.lang.String key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepositoryRsc

    public RepositoryRsc()

Method Detail

### getString

    public static java.lang.String getString(java.lang.String key)

### getString

    public static java.lang.String getString(java.util.Locale locale,
                                             java.lang.String key)

### getMsg

    public static java.lang.String getMsg(java.lang.String key,
                                          java.lang.String parm1)

### getMsg

    public static java.lang.String getMsg(java.util.Locale locale,
                                          java.lang.String key,
                                          java.lang.String parm1)

### getMsg

    public static java.lang.String getMsg(java.lang.String key,
                                          java.lang.String parm1,
                                          java.lang.String parm2)

### getMsg

    public static java.lang.String getMsg(java.util.Locale locale,
                                          java.lang.String key,
                                          java.lang.String parm1,
                                          java.lang.String parm2)

### getMsg

    public static java.lang.String getMsg(java.lang.String key,
                                          java.lang.String parm1,
                                          java.lang.String parm2,
                                          java.lang.String parm3)

### getMsg

    public static java.lang.String getMsg(java.util.Locale locale,
                                          java.lang.String key,
                                          java.lang.String parm1,
                                          java.lang.String parm2,
                                          java.lang.String parm3)

### getMsg

    public static java.lang.String getMsg(java.lang.String key,
                                          java.lang.String[] parms)

### getMsg

    public static java.lang.String getMsg(java.util.Locale locale,
                                          java.lang.String key,
                                          java.lang.String[] parms)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)